"""
Language-specific interface for pyfdate, for language:  American English
"""
LANG = "American English"

TimeExpressedIn24Hours = False
CivilTimeSeparator = ":"
CivilDateFormat = "m d, y" # m=nameOfMonth  d=dayOfMonth y=year

DAY     = "day"
DAYS    = "days"
HOUR    = "hour"
HOURS   = "hours"
MINUTE  = "minute"
MINUTES = "minutes"
SECOND  = "second"
SECONDS = "seconds"

WEEK    = "week"
WEEKS   = "weeks"
MONTH   = "month"
MONTHS  = "months"
YEAR    = "year"
YEARS   = "years"

MONTH_NAMES = \
{ 1:"January"
, 2:"February"
, 3:"March"
, 4:"April"
, 5:"May"
, 6:"June"
, 7:"July"
, 8:"August"
, 9:"September"
,10:"October"
,11:"November"
,12:"December"
}

WEEKDAY_NAMES = \
{1:"Monday"
,2:"Tuesday"
,3:"Wednesday"
,4:"Thursday"
,5:"Friday"
,6:"Saturday"
,7:"Sunday"
}

#-----------------------------------------------------------------------
# make constants for month names and weekday names
# this may not work for all languages. (see below)
#-----------------------------------------------------------------------
for monthNumber, monthName in MONTH_NAMES.items():
	monthName = monthName.upper().replace("-","_")
	exec(monthName + " = " + str(monthNumber))

for __weekdayNumber, __weekdayName in WEEKDAY_NAMES.items():
    __weekdayName = __weekdayName.upper().replace("-","_")
    exec(__weekdayName + " = " + str(__weekdayNumber))

#-----------------------------------------------------------------------
# for languages for which this doesn't work, do this to
# create constants for monthnames and weekday names.
#-----------------------------------------------------------------------
'''
JANUARY   =  1
FEBRUARY  =  2
MARCH     =  3
APRIL     =  4
MAY       =  5
JUNE      =  6
JULY      =  7
AUGUST    =  8
SEPTEMBER =  9
OCTOBER   = 10
NOVEMBER  = 11
DECEMBER  = 12

MONDAY    = 1
TUESDAY   = 2
WEDNESDAY = 3
THURSDAY  = 4
FRIDAY    = 5
SATURDAY  = 6
SUNDAY    = 7
'''
#-----------------------------------------------------------------------
# If you wish, you can use the same technique to create
# abbreviations and aliases for monthnames and weekday names.
#-----------------------------------------------------------------------
'''
JAN =  1
FEB =  2
MAR =  3
APR =  4
MAY =  5
JUN =  6
JUL =  7
AUG =  8
SEP =  9
OCT = 10
NOV = 11
DEC = 12

MON = 1
TUE = 2
WED = 3
THU = 4
FRI = 5
SAT = 6
SUN = 7
'''
