# -*- coding: iso-8859-1 -*-
"""
Language-specific interface for pyfdate, for language: Norwegian
"""
LANG = "Norwegian"
TimeExpressedIn24Hours = True
CivilTimeSeparator = "."
CivilDateFormat = "d m y" # m=nameOfMonth  d=dayOfMonth y=year

DAY     = u"dag"
DAYS    = u"dager"
HOUR    = u"time"
HOURS   = u"timer"
MINUTE  = u"minutt"
MINUTES = u"minutter"
SECOND  = u"sekund"
SECONDS = u"sekunder"

WEEK    = u"uke"
WEEKS   = u"uker"
MONTH   = u"mned"
MONTHS  = u"mneder"
YEAR    = u"r"
YEARS   = u"r"

MONTH_NAMES = \
{ 1:u"januar"
, 2:u"februar"
, 3:u"mars"
, 4:u"april"
, 5:u"mai"
, 6:u"juni"
, 7:u"juli"
, 8:u"august"
, 9:u"september"
,10:u"oktober"
,11:u"november"
,12:u"desember"
}

WEEKDAY_NAMES = \
{1:u"mandag"
,2:u"tirsdag"
,3:u"onsdag"
,4:u"torsdag"
,5:u"fredag"
,6:u"lrdag"    # "l" + chr(155) +"rdag"
,7:u"sndag"    # "s" + chr(155) +"ndag"
}

#---------------------------------------------------------------------
# In Norwegian, the names for Saturday and Sunday are spelled with a
# special Norwegian character: O_slash.  
#   html: &oslash; unicode: u'\u00F8'
# This character looks like "o"
# with "/" overlaid on it.  In Norway, codepage 850 is widely used,
# and in this codepage, the lowercase O_Slash character has ASCII
# code 155.
#---------------------------------------------------------------------


#-----------------------------------------------------------------------
# for languages for which this doesn't work, do this to
# create constants for monthnames and weekday names.
#-----------------------------------------------------------------------
'''
JANUARY   =  1
FEBRUARY  =  2
MARCH     =  3
APRIL     =  4
MAY       =  5
JUNE      =  6
JULY      =  7
AUGUST    =  8
SEPTEMBER =  9
OCTOBER   = 10
NOVEMBER  = 11
DECEMBER  = 12

MONDAY    = 1
TUESDAY   = 2
WEDNESDAY = 3
THURSDAY  = 4
FRIDAY    = 5
SATURDAY  = 6
SUNDAY    = 7
'''
#-----------------------------------------------------------------------
# If you wish, you can use the same technique to create
# abbreviations and aliases for monthnames and weekday names.
#-----------------------------------------------------------------------
'''
JAN =  1
FEB =  2
MAR =  3
APR =  4
MAY =  5
JUN =  6
JUL =  7
AUG =  8
SEP =  9
OCT = 10
NOV = 11
DEC = 12

MON = 1
TUE = 2
WED = 3
THU = 4
FRI = 5
SAT = 6
SUN = 7
'''

